Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.event
Class PebbleEvent

    java.lang.Object
      java.util.EventObject
          net.sourceforge.pebble.api.event.PebbleEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BlogEntryEvent, BlogEvent, CommentEvent, TrackBackEvent

    public abstract class PebbleEvent

extends java.util.EventObject

Superclass for Pebble events.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PebbleEvent(java.lang.Object source, int type)` Creates a new instance with the specified source and type.

Method Summary
`int` | `getType()` Gets the type of this event.
`boolean` | `isVetoed()` Determines whether this event has been vetoed.
`java.lang.String` | `toString()`
`void` | `veto()` Vetos this event so that other listeners will not reveive it.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PebbleEvent

    public PebbleEvent(java.lang.Object source,
                       int type)

  Creates a new instance with the specified source and type.

  Parameters:
    `source` - the Object that created this event
    `type` - the type of this event

Method Detail

### getType

    public int getType()

  Gets the type of this event.

  Returns:
    the type as an int

### veto

    public void veto()

  Vetos this event so that other listeners will not reveive it.

### isVetoed

    public boolean isVetoed()

  Determines whether this event has been vetoed.

  Returns:
    true if this event has been vetoed, false otherwise

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.